Subject: [forces] [Editorial Errata Reported] RFC5810 (2575)

From: RFC Errata System <[email-masked]>
Date: Sat, 16 Oct 2010 05:52:18 -0700 (PDT)

The following errata report has been submitted for RFC5810,
"Forwarding and Control Element Separation (ForCES) Protocol Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5810&eid=2575

--------------------------------------
Type: Editorial
Reported by: Jamal Hadi Salim <[email-masked]>

Section: global

Original Text
-------------
 There is some confusion in the way we describe the HA bits.

Corrected Text
--------------
Suggestions made by Evangelos Haleplidis for global consitency.
i. For consistency of terms:

Change word "stage" of page 17 to "phase".

ii. Change the start of section 4.2.2.3 from:
"In this stage..."
To:
"Entering this stage..."

iii.  Change the text in section 8 from:
"Figure 44 extends the state machine illustrated in Figure 4 to 
allow for new states that facilitate connection recovery."
To:
"Figure 44 changes the state machine illustrated in Figure 4 to specify 
states that facilitate connection recovery."

Also add the following text right after that:
"In this figure, the pre-association phase and the Association Setup 
Stage are merged in one state and Association Lost stage is included 
in the Not Associated state."

iv. Alter wording in Figure 44 in Page 84.
Where it says: 
"CE issues Association Setup"
Change to:
"CE issues Association Setup Response"

Notes
-----

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5810 (draft-ietf-forces-protocol-22)
--------------------------------------
Title               : Forwarding and Control Element Separation (ForCES) Protocol Specification
Publication Date    : March 2010
Author(s)           : A. Doria, Ed., J. Hadi Salim, Ed., R. Haas, Ed., H. Khosravi, Ed., W. Wang, Ed., L. Dong, R. Gopal, J. Halpern
Category            : PROPOSED STANDARD
Source              : Forwarding and Control Element Separation
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Adrian Farrel <[email-masked]>
Date: Sun, 17 Oct 2010 21:09:03 +0100

Hi again,

There seem to be a number of small changes proposed on this Erratum. I want 
to look at them one at a time...

> Original Text

This may be very true, but the Erratum does not propose any changes that 
address that particular problem!

> Corrected Text

Sure.
I don't see a lot of harm in using "stage", but since it is sometimes used 
later in the document to indicate a sub-phase, we can accept the change.

> ii. Change the start of section 4.2.2.3 from:

I'm afraid that (while I understood what the original text meant - even if 
it might have been wrong!) I do not understand the meaning of the new text. 
It could mean that something has happened before entering this stage, that 
something happens simultaneous to entering this stage, or that something 
happens as the first thing that happens after entering the stage.

Can you clarify, please.

> states that facilitate connection recovery."

Neither of these statements is true!

Figure 4 shows the relationship between the phases.
Figure 44 is a state machine.

How about...

Figure 44 illustrates the state machine for the phases and phase transitions 
shown in Figure 4.
The activities of the post-association phase in figure 4 take place in the 
Associated and Not Associated states of Figure 44.

Which covers the proposal below.

> "CE issues Association Setup Response"

I don't think this is correct.
The implication of the figure is that a CE can (re-)issue an Association 
Setup in the Not Associated State before the CFTI timer expires.

I would appreciate your thoughts on these points.

Thanks,
Adrian

----- Original Message ----- 
From: "RFC Errata System" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Saturday, October 16, 2010 1:52 PM
Subject: [Editorial Errata Reported] RFC5810 (2575)

> Author(s)           : A. Doria, Ed., J. Hadi Salim, Ed., R. Haas, Ed., H. 
> Khosravi, Ed., W. Wang, Ed., L. Dong, R. Gopal, J. Halpern

---

From: "Haleplidis Evangelos" <[email-masked]>
Date: Mon, 18 Oct 2010 00:45:15 +0300

Greetings,
       
Thank you for your comments.

Please find responses inline.

Regards,
Evangelos Haleplidis.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Adrian Farrel
> Sent: Sunday, October 17, 2010 11:09 PM
> To: 'Jamal Hadi Salim'; 'Evangelos Haleplidis'
> Cc: [email-masked]
> Subject: Re: [forces] [Editorial Errata Reported] RFC5810 (2575)
> 
> Hi again,
> 

[ΕΗ] The text reads:
"In this stage, both or either the CE or FE declare the other side is no
longer associated."
The rationale behind this change was to answer the question of when they
declare the other side is no longer associated. It is not clear when they
make that declaration, entering or while in Association Lost stage, because
if CE/FE are still associated they should not be in this stage. So the text
was intended to specify that when the CE/FE goes into this state it has
already declared that it has lost the association.

> Associated and Not Associated states of Figure 44.

[ΕΗ] How about this:
Figure 44 illustrates the state machine for the phases and phase transitions
shown in Figure 4 to states that facilitate connection recovery. The
pre-association phase and the Association Setup stage take place in the
Pre-association state, the Established Stage is the Associated State and the
Association Lost stage is the Not Associated state.

The problem with the proposed text is that the Association Setup Stage of
the post-association phase occurs in the "Pre-association (Association in
progress)" state.

> Setup in the Not Associated State before the CFTI timer expires.

[ΕΗ] The issue here is that CEs don't issue Association Setup messages. Only
Association Setup Responses.

> > Title               : Forwarding and Control Element Separation
> (ForCES)
> > Protocol Specification
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces